import { Service } from '../common';
import { HistoricalTokenPrices, MarketDetails, NumberOfTransactions, PoolsActivities, TokenDetails, TokenList, TokenListToken, TradingHistories } from './classes';
import { NativeCurrenciesItem } from './classes/native-currencies-item';
export declare class AssetsService extends Service {
    getTokenLists(): Promise<TokenList[]>;
    getTokenListTokens(name?: string): Promise<TokenListToken[]>;
    getNativeCurrencies(): Promise<NativeCurrenciesItem[]>;
    getAccountTokenListTokens(name?: string): Promise<TokenListToken[]>;
    isTokenOnTokenList(token: string, name?: string): Promise<boolean>;
    getTokenDetails(tokenAddress: string, ChainId: number, provider?: string): Promise<TokenDetails>;
    getHistoricalTokenPrice(tokenAddress: string, ChainId: number, provider?: string, timePeriod?: string): Promise<HistoricalTokenPrices>;
    getPoolsActivity(tokenAddress: string, ChainId: number, provider?: string, page?: number, type?: string): Promise<PoolsActivities>;
    getNumberOfTransactions(tokenAddress: string, ChainId: number, provider?: string): Promise<NumberOfTransactions>;
    getTradingHistory(tokenAddress: string, ChainId: number, provider?: string, page?: number): Promise<TradingHistories>;
    getMarketDetails(tokenAddress: string, ChainId: number, provider?: string, timePeriod?: string): Promise<MarketDetails>;
}
