import { BigNumber } from 'ethers';
export declare class AdvanceRouteToken {
    address: string;
    symbol: string;
    decimals?: number;
    name: string;
}
export declare class FeesToken {
    address: string;
    symbol: string;
    decimals?: number;
    chain: string;
}
export declare class FeesCost {
    type: string;
    token: FeesToken;
    amount: BigNumber;
    amountUSD?: string;
}
export declare class AdvanceRoute {
    provider: string;
    fromToken: AdvanceRouteToken;
    toToken: AdvanceRouteToken;
    duration: number;
    gasUSD: string;
    tool: string;
    amount: BigNumber;
    amountUSD: string;
    feeCosts?: FeesCost[];
    gasCosts?: FeesCost[];
}
